Subject: [bug#38846] [PATCH 4/4] DRAFT doc: Add a cooption policy for commit access.

From: zimoun <[email-masked]>
Date: Wed, 1 Jan 2020 19:51:50 +0100

Hi,

Nice proposal!

On Wed, 1 Jan 2020 at 17:36, Ludovic Courtès <[email-masked]> wrote:

> +Committers are expected to have had some interactions with you as a
> +contributor and to be able to judge whether you are sufficiently
> +familiar with the project's practices.  It is @emph{not} a judgment on
> +the quality of your work, so a refusal should rather be interpreted as
> +``let's try again later''.

Cutting the hairs: on one hand "be able to judge" on practices and on
the other hand "not a judgment on the quality".
Even if I understand the idea behind (I guess), I do not find it well
worded, if I might.
I mean, I bet that "the quality of work" is a strong part when
motivating the acceptance or the refusal, so yes it is "a judgment on
the quality of your work" (but not only).
Quality implies standards and practices; quality can be measured (more
or less). From my understanding.

Instead of 'quality', I propose 'value' which is more subjective.

Well, my English is not very good...

> +However, note that the project is working towards a more automated patch
> +review and merging system, which, as a consequence, may lead us to have
> +fewer people with commit access to the main repository.  Stay tuned!
> +@end quotation

I find inappropriate the "Stay tuned!" in the manual.

Cheers,
simon